Name

MV_ZIP_REQUIRED —

SYNOPSIS

{ }

DESCRIPTION

VARIABLE TYPE

Catalog variable

EXAMPLES

No examples are available at this time. We do consider this a problem and will try to supply some.

NOTES

AVAILABILITY

MV_ZIP_REQUIRED is available in Interchange versions:

4.6.0-5.7.0 (git-head)

SOURCE

Interchange 5.7.0:

Source: lib/Vend/Order.pm
Line 1231 (context shows lines 1221-1235 in _multizip():1221)

sub _multizip {
my($ref,$var,$val) = @_;

$val =~ s/^\s+//;
my $error;
my $cval = _get_cval($ref, $var);

if (my $sub = $zip_routine{$cval}) {
  $sub->($val) or $error = 1;
}
elsif($::Variable->{MV_ZIP_REQUIRED}) {
    " $::Variable->{MV_ZIP_REQUIRED} " =~ /\s$cval\s/
    and
  length($val) < 4 and $error = 1;
}

AUTHORS

Interchange Development Group

SEE ALSO

DocBook! Interchange!